Subject: Re: Early SPECWeb99 results on 2.5.33 with TSO on e1000

From: "David S. Miller" <[email-masked]>
Date: Fri, 06 Sep 2002 11:58:04 -0700 (PDT)

From: Gerrit Huizenga <[email-masked]>
   Date: Fri, 06 Sep 2002 11:57:39 -0700

   Out of curiosity, and primarily for my own edification, what kind
   of optimization does it do when everything is generated by a java/
   perl/python/homebrew script and pasted together by something which
   consults a content manager.  In a few of the cases that I know of,
   there isn't really any static content to cache...  And why is this
   something that Apache couldn't/shouldn't be doing?

The kernel exec's the CGI process from the TUX server and pipes the
output directly into a networking socket.

Because it is cheaper to create a new fresh user thread from within
the kernel (ie. we don't have to fork() apache and thus dup it's
address space), it is faster.